#include "i2c.h"

unsigned char address = 0x4E;


void lcd_write_data (unsigned char data)
{
	unsigned char data_l, data_u;
	data_l = (data<<4)&0xf0;
	data_u = data&0xf0;
	
	i2c_send_start();
	i2c_write (address);
	i2c_write (data_u|0x05);  //enable=1 and rs =1
	i2c_write (data_u|0x01);  //enable=0 and rs =1
	
	i2c_write (data_l|0x05);  //enable =1 and rs =1
	i2c_write (data_l|0x01);  //enable=0 and rs =1
	
	i2c_send_stop();
}


void lcd_send_string (char *data)
{
	while (*data)
	lcd_write_data (*data++);
}


void lcd_write_cmd (unsigned char cmd)
{
	unsigned char cmd_l, cmd_u;
	cmd_l = (cmd<<4)&0xf0;
	cmd_u = cmd&0xf0;
	
	
	i2c_send_start ();
	i2c_write (address);
	i2c_write (cmd_u|0x04);  //enable =1, rs =0
	i2c_write (cmd_u);  //enable =0, rs =0
	
	i2c_write (cmd_l|0x04);  //enable =1, rs =0
	i2c_write (cmd_l);  //enable =0, rs =0
	
	i2c_send_stop ();
}

void lcd_init ()
{
 i2c_init ();
 lcd_write_cmd (0x02);
 lcd_write_cmd (0x28);
 lcd_write_cmd (0x0c);
 lcd_write_cmd (0x80);
}