/* PLL for CClk of 60Mhz and Pclk will be decided in main program.
VPBDIV=0x00	APB bus clock (PCLK) is one fourth of the processor clock (CCLK)
VPBDIV=0x01	APB bus clock (PCLK) is the same as the processor clock (CCLK)
VPBDIV=0x02	APB bus clock (PCLK) is one half of the processor clock (CCLK)
VPBDIV=0x03	Reserved. If this value is written to the APBDIV register, it has no effect (the previous setting is retained).*/
#include <lpc214x.h>
void pll_init(void)
{
 PLL0CON = 0x01;    //Enable PLL
 PLL0CFG = 0x24;    //Multiplier and divider setup  M is (5-1=4) because we need 60 Mhz and we have 12 so 5 is multiplier. P is 2. so 0x24.
 PLL0FEED = 0xAA;   //Feed sequence
 PLL0FEED = 0x55;   // feed sequence
 
 while(!(PLL0STAT & 0x00000400)); //is locked?
 
 PLL0CON = 0x03;   //Connect PLL after PLL is locked
 PLL0FEED = 0xAA;  //Feed sequence
 PLL0FEED = 0x55;  //Feed sequence
}
