#include <lpc214x.h>
#include <stdint.h>

void timer0_init (uint32_t PR)              // timer 0 initialisation
{  
	T0CTCR=0x00;                  // start in timer mode	
	T0PR= ((PR)-1);               // formula is COUNT=(P.F X TIME DELAY IN SEC) - 1 and pclk=cclk/4 
	T0TCR=(1<<1);                 // reset timer
}

void timer0_delay (uint32_t count)
{
	T0TCR=(1<<1);    //reset timer
	T0TCR=(1<<0);    // enable timer 
	T0TC=0;    // set 0 to TC counter
	while (T0TC<count);    // wait untill TC counter reaches our defined value
	T0TCR=0x00;    // disable timer
}

