#include <lpc214x.h>

void Uart0_init ()
{
    PINSEL0 |= (1<<0) | (1<<2);   //Configure P0.0/P0.1 as RX0 and TX0 
    U0FCR = (1<<0) | (1<<1) | (1<<2);  // Enable FIFO and reset Rx/Tx FIFO buffers    
    U0LCR = 3 | (1<<7);   // 8bit data(0x03), 1Stop bit(bit 4), No parity(bit 5) and enable DLAB(bit 7)
	U0DLL = 0x61;   // (15MHz)/(16*9600)
	U0DLM = 0;
	U0LCR &= ~(1<<7);   // clear the DLAB bit
	U0IER |= (1<<0);    // enable receive data enable interrupt
}

void Uart0_Tx (char data)   // transmit a character via uart
{
	while (!(U0LSR & (1<<5)));   // wait for THRE to clear
	U0THR = data;
}

void Uart0_Tx_string (char *data)   // transmit whole string
{
	while (*data) Uart0_Tx (*data++);   
}

char uart0_rec ()              // uart rec function
{
	char data;
	while (!(U0LSR&(1<<0)));
	data=U0RBR; 
	return data;
}

/* after initializing uart1, use following for interrupt.*/
/*
    VICVectAddr0 = (unsigned) myISR;    
	VICVectCntl0 = (1<<5)|6;
	VICIntEnable |= (1<<6);
*/